# Account Validation API
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/value-added-services/account-validation-apis/account-validation-api/index.md

Alert: If you are a Customer contracted with MTS EU or MTS UK, refer to the corresponding EU and UK specification inside the swagger file to ensure compliance with the relevant jurisdiction based Regulatory Technical Standards (either EU or UK) derived from the Revised Payment Services Directive (PSD2).

## Environment Domains {#environment-domains}

* Sandbox/MTF
* Sandbox-EU
* Sandbox-UK
* MTF-EU
* MTF-UK
* Production
* Production-EU
* Production-UK

```Sandbox/MTF
https://sandbox.api.mastercard.com/send/partners/{partner_id}/crossborder/accounts/validations
```

```Sandbox-EU
https://sandbox.api.xbs.mastercard.eu/send/partners/NewPartnerQC/crossborder/accounts/validations
```

```Sandbox-UK
https://sandbox.api.xbs.mastercard.uk/send/partners/NewPartnerQC/crossborder/accounts/validations
```

```MTF-EU
https://mtf.api.xbs.mastercard.eu/send/partners/{partner_id}/crossborder/accounts/validations
```

```MTF-UK
https://mtf.api.xbs.mastercard.uk/send/partners/{partner_id}/crossborder/accounts/validations
```

```Production
https://api.mastercard.com/send/partners/{partner_id}/crossborder/accounts/validations
```

```Production-EU
https://api.xbs.mastercard.eu/send/partners/{partner_id}/crossborder/accounts/validations
```

```Production-UK
https://api.xbs.mastercard.uk/send/partners/{partner_id}/crossborder/accounts/validations
```

## API Specification {#api-specification}

[**Open Specification**](https://static.developer.mastercard.com/content/cross-border-services/swagger/cross_border-swagger.yaml)

### Account Validation API {#account-validation-api}

<br />

The Account Validation API is a feature within Account Validation Services which allows Customers to validate Recipient account information before submitting payment to Cross-Border Services.

<br />

Customers deciding to code to this API will receive successful or rejection responses based on Receiving Account data provided for a specific corridor.
This API functionality has been expanded to provide additional services including:

* IBAN Validation Service -- Customers can validate account format and structure of an IBAN value provided for payload instruction.
* Card Eligibility Service -- Customers can validate debit or credit card account number format and structure. In addition, customers can receive payload feedback if an account can support cross-border transactions.
* Account Status Verification -- Customers can verify the following elements of an account used for bank deposit services:
  * Account Number
  * Account Owner Name
  * Account Status

<br />

Please note, while Cross-Border Services provide account validation and verification services to help customers verify recipient account information; this does not guarantee payment transactions will be accepted or processed at the recipient's financial institution. The financial institution hosting the Recipient's account can reject or return funds to the sending institution for various reasons outside of Mastercard control.

API Reference: `GET /send/partners/{partner_id}/crossborder/accounts/validations`

#### Account Validation Push Notification {#account-validation-push-notification}

Customers deciding to code for Account Status Verification and Card Eligibility Service functionalities will receive a push notification once Account Validation API processing finishes if an IN_PROGRESS status was initially received.


API Reference: `GET /account-validation-webhooks`

<br />

<br />

## API Convention {#api-convention}

Take a look at the [API Conventions](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#api-conventions) for general guidelines.

The different statuses for the Account Validation API are as follows:

|   Status    |                                     Description                                      |
|-------------|--------------------------------------------------------------------------------------|
| IN_PROGRESS | The Request has been received successfully and is under progress.                    |
| SUCCESS     | The Request has been processed successfully with final response.                     |
| FAILURE     | The Request has failed due to errors like API syntax mismatch or Field length error. |

## Payload Encryption {#payload-encryption}

All payload request sent to and from Cross-Border Services are encrypted.   

For more detailed information on payload **Encryption/Decryption** , please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#transport-encryption)

## Next step {#next-step}

Proceed to [Account Validation API: Sandbox Testing](https://developer.mastercard.com/cross-border-services/documentation/testing/account-validation-apis/bank-account-validation-api/index.md) to test the Account Validation API in the Sandbox environment.
